[ DrawStatusLine width posa posb;
    @split_window 1; @set_window 1; @set_cursor 1 1; style reverse;
    width = 0->33; posa = width-26; posb = width-13;
    spaces (width-1);
    @set_cursor 1 2;  PrintShortName(Location);
    if (Player in Couch) print " (sur ", (the) Couch, ")";
    if ( (Player in Lounge_Chair) || (Player in Briefing_Room_Chair)
    || (Player in Waiting_Room_Chair) )
      print " (sur la chaise)";
    if (Player in TransporterPad) print " (dans ", (the) TransporterPad, ")";
    if (width > 76)
    {   @set_cursor 1 posa; print "Score: ", score;
        @set_cursor 1 posb;
        if (Watch has Worn) 
          print "Temps: ",  spacetime;
        else
          print "Temps: ????";
    }
    if (width > 63 && width <= 76)
    {   @set_cursor 1 posb; print score, "/", spacetime;
    }
    @set_cursor 1 1; style roman; @set_window 0;
];

[ InvSub x;
  if (child(player)==0) return L__M(##Inv,1);
  if (inventory_style==0) return InvTallSub();

  L__M(##Inv,2);
  if (inventory_style & NEWLINE_BIT ~= 0) print ":^"; else print " ";

  WriteListFrom(child(player), inventory_style, 1);
  if (inventory_style & ENGLISH_BIT ~= 0) print ".^";

  #IFNDEF MANUAL_PRONOUNS;
    objectloop(x in player) PronounNotice(x);
  #ENDIF;

  AfterRoutines();

  spacetime = spacetime + 11;
];

[ QuitSub;
  <SCORE>;
  print "^";
  if (Fussbudget has awake)
  {
    if ( (Fussbudget in Location) ||
         ((Fussbudget in Cage) && (Location == Sickbay)) )
    print "Le Fussbudget vous pousse dans les nervures et dit, ~Hah! Je savais que vous n'tiez pas assez intelligent pour gagner ce jeu.~^^";
  }
  print "Voulez vous vraiment quitter le jeu? (O est affirmatif): >"; 
  if (YesOrNo()~=0) quit; 
];

[ RestartSub; 
  if (Fussbudget has awake)
  {
    if ( (Fussbudget in Location) ||
         ((Fussbudget in Cage) && (Location == Sickbay)) )
      print "", (The) Fussbudget, " sourit et dit ~Grandiose, cela signifie que je peux manger toute la bonne alimentation encore une fois.~^^";
  }

  L__M(##Restart,1);
  if (YesOrNo()~=0) { @restart; L__M(##Restart,2); }
];

[ RestoreSub;
  if (Fussbudget has awake)
  {
    if ( (Fussbudget in Location) ||
         ((Fussbudget in Cage) && (Location == Sickbay)) )
      print "", (The) Fussbudget, " dit: ~Retournons  l'endroit avec toute la nourriture, mais ne me recollez pas dans cette cage ordurire.~^^";
  }

  restore Rmaybe;
  return L__M(##Restore,1);
  .RMaybe; L__M(##Restore,2);
];

[ SaveSub;
  if (Fussbudget has awake)
  {
    if ( (Fussbudget in Location) ||
         ((Fussbudget in Cage) && (Location == Sickbay)) )
      print "", (The) Fussbudget, " dit: ~Hey Embryon, si vous allez faire quelques trucs stupides comptez sur moi.~^^"; 
  }

  save Smaybe;
  return L__M(##Save,1);
  .SMaybe; L__M(##Save,2);
];

[ ScriptOffSub;
  if (Fussbudget has awake)
  {
    if ( (Fussbudget in Location) ||
         ((Fussbudget in Cage) && (Location == Sickbay)) )
      print "~Bonne ide~ dit ", (the) Fussbudget, " ~ne veut pas voir quelqu'un comme vous qui est muet.~^";
  }

  transcript_mode = ((0-->8) & 1);
  if (transcript_mode == false) return L__M(##ScriptOff,1);
  L__M(##ScriptOff,2);
  @output_stream -2;
  if ((0-->8) & 1) return L__M(##ScriptOff,3);
  transcript_mode = false;
];

[ ScriptOnSub;
  if (Fussbudget has awake)
  {
    if ( (Fussbudget in Location) ||
         ((Fussbudget in Cage) && (Location == Sickbay)) )
      print "~Mieux vaut observer ma langue maintenant que le jeu est enregistr~ dit ", (the) Fussbudget, " sarcastiquement.^^";
  }

  transcript_mode = ((0-->8) & 1);
  if (transcript_mode) return L__M(##ScriptOn,1);
  @output_stream 2;
  if (((0-->8) & 1) == 0) return L__M(##ScriptOn,3);
  L__M(##ScriptOn,2); VersionSub();
  transcript_mode = true;
];
	
[ VersionSub;
  Banner();
  if (standard_interpreter > 0)
      print "Interprteur standard ",
          standard_interpreter/256, ".", standard_interpreter%256,
          " (", 0->$1e, (char) 0->$1f, ") / ";
  else print "Interprteur ", 0->$1e, " Version ", (char) 0->$1f, " / ";
  print "Librairie numro de srie ", (string) LibSerial, "^";
#IFDEF LanguageVersion;
  print (string) LanguageVersion, "^";
#ENDIF;

  if (Fussbudget has awake)
  {
    if ( (Fussbudget in Location) ||
         ((Fussbudget in Cage) && (Location == Sickbay)) )
      print "^", (The) Fussbudget, " vous regarde, directement  travers votre cran d'ordinateur. ~Avez-vous vu l'avis de droit d'auteur?~ demande-t'il d'un ton provoquant. ~Si quelqu'un essaye de pirater ce jeu, vous tes stupide, parce qu'il est gratuit!~ "; 
  }

  "^et citer Torbjrn Andersson, Auteur de Robots, ~Si vous pensez que vous pouvez en faire de l'argent, vous tes plus optimistes que je le pense.~";
];

[ YesOrNo i;
  for (::)
  {
   #IFV3; read buffer parse; #ENDIF;
   #IFV5; read buffer parse DrawStatusLine; #ENDIF;
      i=parse-->1;
      if (i==YES1__WD or YES2__WD or YES3__WD) rtrue;
      if (i==NO1__WD or NO2__WD or NO3__WD) rfalse;
      print "Rpondez s'il vous plat par OUI o NON. >";
  }
];
