Room Hall_l "Vestibule Principal, Secteur L"
  with description
    "   C'est le couloir principal de la station, qui continue  babord et  tribord. Vous dtectez une courbe lgre ascendante dans le couloir. Les pices sont places de l'avant vers l'arrire.",
    before
    [;
    Look_dir:
    if (noun == fore_obj)
    {
      if (Locale(store, "Vous pouvez voir", "Vous pouvez voir aussi")) print ".^";
      else "Vous ne voyez rien d'intressant.";
 
      if (Bracelet in Fussbudget)
      {
        if (Fussbudget has eating) 
          "Dans la pice, Vous pouvez voir le Fussbudget, il porte un bracelet, dvorant avidement une caisse entire de fruits Mondoweed.";
        else
          "Dans la pice, vous pouvez voir le Fussbudget, il porte un bracelet.";
      }     
 
      if (Fussbudget in Store)
        "Dans la pice, vous pouvez voir le Fussbudget.";

      rtrue;
    }
    Examine, Search: ;
    default:
      if (inp1~=1 && noun~=0 && noun in store)
        print_ret (The) noun, " est sur le long de ", (the) Barrier, ".";
      if (inp2~=1 && second~=0 && second in store)
        print_ret (The) second, " est le long de ", 
                  (the) Barrier,".";
    ],
    n_to 
    [;if ((Bracelet in Player) && (Bracelet has worn))
      {
        if (Fussbudget in Store)
        {
          lf_loc = Store;
          lp_loc = Store;
        }

        if ((Fussbudget has awake) && (Fussbudget notin Cage))
        {
          give Fussbudget ~scenery;
          StartDaemon(Fussbudget);
        }

        PlayerTo(Store,2);
        Achieved(1);
        rtrue;
      }
      else if ((Bracelet in Fussbudget) || (Fussbudget in Store))
      {
        if (Bracelet in Fussbudget)
        {
          if (Fussbudget has eating) 
            "Vous rebondissez sur une barrire de scurit invisible. Un enregistrement dit ~Secteur restreint - identification requise.~^
             Dans la pice, vous pouvez voir le Fussbudget, Il porte un bracelet, dvorant avidement une caisse entire de fruit Mondoweed.";
          else
            "Vous rebondissez sur une barrire de scurit invisible. Un enregistrement dit ~Secteur restreint - identification requise.~^
             Dans la pice, vous pouvez voir le Fussbudget, Il porte un bracelet.";
        }

        if (Fussbudget in Store)
          "Vous rebondissez sur une barrire de scurit invisible. Un enregistrement dit ~Secteur restreint - identification requise.~^
           Dans la pice, vous pouvez voir le Fussbudget.";
     }
      else
        "Vous rebondissez sur une barrire de scurit invisible. Un enregistrement dit ~Secteur restreint - identification requise.~";
    ],
    s_to Office,
    e_to Hall_m,
    w_to Hall_k;

Object Barrier "Barrire de scurit invisible"
  with
    name "invisible" "securite" "barriere" "force" "champ" "porte" "embrasure"
         "encadrement" "trou" "trous" "detecteur",
    description 
    [; print "Vous regardez l'embrasure et pouvez seulement voir un mince espace. Mais l'examen minucieux de l'encadrement de porte rvle quelques petits trous minuscules dans lequel les rayons pourraient tre projets. Il semble aussi y avoir un dtecteur entre certains trucs; vous n'tes pas srs. Sur le long de ", (the) Barrier,
        ": ";
        <<SEARCH BARRIER>>;
    ],
    before
    [;Take: "Un champ de force n'est pas quelque chose que vous pouvez porter!";
      Search: 
      if (Location == Hall_l)
      {
        if (Locale(store, "Vous pouvez voir", "Vous pouvez voir aussi")) print ".^";
        else "Vous ne voyez rien d'intressant.";

        if (Bracelet in Fussbudget)
        { 
          if (Fussbudget has eating) 
            "Dans la pice, vous pouvez voir le Fussbudget, Il porte un bracelet, dvorant avidement une caisse entire de fruits Mondoweed.";
          else
            "Dans la pice, vous pouvez voir le Fussbudget, il porte un bracelet.";
        }

        if (Fussbudget in Store)
          "Dans la pice, vous voyez le Fussbudget.";

        rtrue;
      }
      if (Location == Store)
      {
        if (Locale(hall_l, "Vous pouvez voir", "Vous pouvez voir aussi")) ".";
        else "Vous ne voyez rien d'intressant.";
      }
      ThrownAt, Receive:
      if (noun has worn)
        "Vous devriez enlever ", (the) noun, " en premier.";
      if (noun == Bracelet)
      {
        if (Location==Hall_l) move Bracelet to Store;
        else move Bracelet to Hall_l;
        print "", (The) Bracelet, " vole  travers ", (the) Barrier, " en atterrissant sur le pont.";
        if (Fussbudget in Location) 
          print " ", (The) Fussbudget, " rle ~Et  travers vous je suis muet!~";
        "";
      }
      move noun to Location;
      print "", (The) noun, " rebondit de ", (the) Barrier, " et tombe inutilement sur le pont.";
      if (Location == Hall_l)
        " Un enregistrement dit ~Secteur restreint - identification requise.~";
      "";
    ],
    found_in hall_l store
    has female concealed transparent;
! pour la barrire normalement ci-dessus

Room Store "Pice de dpt"
  with
    name "magasin" "depot",
    description
    "   C'est un petit entrept en quelque sorte. Un vestibule se trouve derrire.",
    before
    [;
    Look_dir:
    if (noun == aft_obj)
    {
      if (Locale(hall_l, "Vous pouvez voir", "Vous pouvez voir aussi")) ".";
      else "Vous ne voyez rien d'intressant.";
      
    }
    Examine, Search: ;
    default:
      if (inp1~=1 && noun~=0 && noun in hall_l)
        print_ret (The) noun, " est sur le long de ", (the) Barrier, ".";
      if (inp2~=1 && second~=0 && second in hall_l)
        print_ret (The) second, " est sur le long de ", 
                  (the) Barrier,".";
    ],
    s_to leave_store,
    out_to leave_store,
    has female enterable;

[ leave_store;
  if ((Bracelet in Player) && (Bracelet has worn))
  {
    PlayerTo(Hall_l,2);
    rtrue;
  }
  "Vous rebondissez sur la barrire de scurit invisible.";
];
