Property follow_action 0;
Property follow_object 0;
Attribute followable;

Class   followclass
 has    followable,
 with   follow_action 0,
        follow_object 0;

class Bulkhead 
  with
    name "urgence" "cloison" "plupart" "jaune" "lettre" "lettres"
         "porte" "ecoutille", 
    article "une",
    before
    [;Open: 
      OpenBulkMsg (); rtrue;    
      Unlock:
        if ((second == Steel1) || (second == Steel2))
        {
          "", (The) second, " ne semble pas capable de manifester assez de force avec le levier, pour ouvrir ", (the) Bulkhead, ".";
        }
      Close: if (self has open)
               "Je ne pense pas que vous voulez faire a, si vous la fermez, vous l'abimerez et vous n'arriverez probablement jamais  l'ouvrir de nouveau.";
      ThrownAt:
      if (noun has worn)
        "Vous devriez enlever ", (the) noun, " d'abord.";
       move noun to Location;
      if ((noun has big) || (noun has huge)) 
        "", (The) second, " est construit pour rsister aux infractions de coque et la fuite de radiation, ", (the) noun, " n'a aucun effet et tombe inutilement sur le pont.";
      "", (The) Noun, " est trop petit pour avoir n'importe quel effet, rebondis sur ",
       (the) Viewport, " et tombe inutilement sur le pont.";    
    ],
    has static concealed ~open openable legible;

[OpenBulkMsg;
 "Les cloisons sont contrles par l'ordinateur et sont trop paissent pour tre ouverte 
 la main. La seule faon de les ouvrir est de trouver la direction de l'ordinateur, qui ne peut tre dans cette section. A moins que bien sr vous arriviez  avoir un blier hydraulique."; 
];

Class Map with name "carte" "cartes" "plan" "holo" "holographique";

class Room
  with
    name "pice",
    has female light;

class Book
  has legible;

class Class_Table 
  with
    name "table",
    description "Publication Standard de Patrouille.",
    has female scenery supporter; 

class Class_Chair 
  with
    name "chaise" "place" "divan",
    description "Publication Standard de Patrouille. Cela semble trs confortable.",
    before
    [; Exit: if (Player notin self)
               "Vous n'tes pas dans ", (the) self, "."; ],
    has female scenery supporter enterable open;

Class Steel 
  with name "scie" "barreau",
       short_name "barreau sci",
       plural "barreaux scis",
       description "Le barreau fait environ un mtre de long, et les deux bouts ont t sci.",
       parse_name
       [ i j w;
         if (parser_action==##TheSame)
         { if ((parser_one.&name)-->0 == (parser_two.&name)-->0) return -1;
           return -2;
         }
         w=(self.&name)-->0;
         for (::i++)
         {   j=NextWord();
             if (j=='bars') 
               parser_action=##PluralFound;
             else if ((j~='bar' or w) && (j~='sawn' or w)) 
               return i;
         }
       ],
       before
       [; cut: "Vous avez dj enlev celui-ci."; ],
  has big is_bar;

Object Lock1 "serrure"
  with
    name "serrure" "verrou",
    before
    [;lock: <<LOCK CABINET SECOND>>;
      unlock: <<UNLOCK CABINET SECOND>>;
      receive: 
      if (Cabinet has locked)
      {
        print "(vous ouvrez ", (the) Cabinet, ")^";
        <<UNLOCK CABINET NOUN>>;
      }
      print "(vous ouvrez ", (the) Cabinet, ")^";
      <<LOCK CABINET NOUN>>;
      take: "C'est fix sur ", (the) Cabinet, "."; 
    ],
    found_in Cabinet,
    has female scenery;

Object Lock2 "serrure"
  with
    name "serrure" "verrou",
    before
    [;lock: <<LOCK DENTIST_DOOR SECOND>>;
      unlock: <<UNLOCK DENTIST_DOOR SECOND>>;
      receive: 
      if (Dentist_Door has locked)
      {
        print "(vous dverrouillez ", (the) Dentist_Door, ")^";
        <<UNLOCK DENTIST_DOOR NOUN>>;
      }
      print "(vous verrouillez ", (the) Dentist_Door, ")^";
      <<LOCK DENTIST_DOOR NOUN>>;
      take: "Cel fait partie de ", (the) Dentist_Door, "."; 
    ],
    found_in Waiting_Room,
    has female scenery;

Object Lock3 "serrure"
  with
    name "serrure" "verrou",
    before
    [;lock: <<LOCK TOOLBOX SECOND>>;
      unlock: <<UNLOCK TOOLBOX SECOND>>;
      receive: 
      if (Toolbox has locked)
      {
        print "(vous dverrouillez ", (the) Toolbox, ")^";
        <<UNLOCK TOOLBOX NOUN>>;
      }
      print "(vous verrouillez ", (the) Toolbox, ")^";
      <<LOCK TOOLBOX NOUN>>;
      take: "Cel fait partie de ", (the) Toolbox, "."; 
    ],
    has female scenery;

Object Lock4 "serrure"
  with
    name "serrure" "verrou",
    description 
      "Elle ressemble  l'une de ces nouvelles serrures sophistiqus lectroniques.",
    before
    [;lock: <<LOCK CAGE SECOND>>;
      unlock: <<UNLOCK CAGE SECOND>>;
      receive: 
      if (Cage has locked)
      {
        print "(vous dverrouillez ", (the) Cage, ")^";
        <<UNLOCK CAGE NOUN>>;
      }
      print "(vous verrouillez ", (the) Cage, ")^";
      <<LOCK CAGE NOUN>>;
      take: "Cel fait partie de ", (the) Cage, "."; 
    ],
    found_in Cage,
    has female scenery;

