Constant Story "STATION SPATIALE";
Constant Headline 
"^Inform fiction interactive -- Une histoire de science-fiction^
 par David Ledgard et la Communaut en ligne d'Inform^
 Email: me@@64dledgard.freeserve.co.uk^
 Traduit en franais par Sabine Gorecki^
 Email: fa1ckg@@64tiscali.fr^
 Planetfall (c) Activision, Inc. Permission courtoise d'utiliser Activision, Inc.^ 
 pour une distribution qui n'est pas commerciale^
 Tapez AIDE pour avoir de l'aide^";
Constant TASKS_PROVIDED;
Constant NUMBER_TASKS = 10;
Array    task_scores -> 3 3 3 2 1 2 3 3 3 3;
Constant MAX_SCORE 23;

Constant MAX_CARRIED 10;
Constant SACK_OBJECT = Toolbox;
Constant NEXT_MEAL 2000;
Constant MAX_FOOTNOTES 7;
Constant AMUSING_PROVIDED;

Constant other   0;
Constant stuck   1;
Constant shaken  2;
Constant read    4;
Constant made    8;

Global bars_cut = 0;
Global lf_loc;
Global lf_loc_but_one;
Global lp_loc;
Global lp_loc_but_one;
Global sick;
Global sleepy;
Global hungry;
Global mt = 3157;
Global spacetime = 3010;
Global lasttime = 3009;
Global landtime;
Global launchtime = 20000;
Global eattime = 20000;
Global shaketime = 20000;
Global spaceday = 1;
Global win  = 0;
Global draw = 0;
Global lose = 0;
 
!Inform only support 16 attribute, a very small number in my humble option,
!as I find them highly useful. Properties can be used to achieve the same
!results but are more cumbersome to use. You can also use the general
!attribute all the time but this is messy and may cause unpredictable results
!if used accidentally twice on the same object.
!
! Inform seulement supporte 16 attributs, un trs petit nombre dans mon humble option,
! comme je les trouve fortement utiles. Les proprits peuvent tre employes pour raliser ! le mme rsultat, mais sont plus encombrant  utiliser. Vous pouvez aussi utiliser 
! l'attribut gnral tout le temps mais c'est malpropre et peut causer des rsultats 
! imprvisibles si il est utilis accidentellement deux fois sur le mme objet.

Attribute ask_bracelet;
Attribute awake;
Attribute big;
Attribute huge;
Attribute eating;Attribute is_bar;
Attribute is_key;
Attribute last_power;
Attribute legible;
Attribute logged_on;
Attribute power;
Attribute read7;
Attribute read_meltdown;
Attribute visited_dentist;
!Attribute 
!Attribute 
 
Serial "990412";
Release 2;

!It is good practice to replace procedures instead of altering them so than
!chances do not effect other programmes you may be working on. Basically most
!of these procedure are the same except when the NPC is present and awake it
!utters some witty remark. StatusLine converts to Inform Status Line to an
!Infocom type displaying among other things the time is chrons (only when you
!are wearing you chronometer). Others are changed to give Infocom style
!responses.
!
! C'est la bonne pratique pour remplacer des procdures au lieu de les changer ainsi que
! les chances n'effectuent pas d'autres programmes sur lesquels vous pouvez travailler. 
! Le plus essentielle de cette procdure est la mme sauf quand le NPC est prsent et 
! veill cela prononce quelque remarque pleine d'esprit. StatusLine convertit pour la 
! Ligne de Statut d'Inform  Infocom l'exposition de type parmi d'autres choses le temps 
! est chrons (seulement quand vous avez le chronomtre). D'autres sont changs pour donner ! la rponse de style Infocom.

Replace DrawStatusLine; 
Replace InvSub;
Replace QuitSub;
Replace RestartSub;
Replace RestoreSub;
Replace SaveSub;
Replace ScriptOffSub;
Replace ScriptOnSub;
Replace VersionSub;
Replace YesOrNo;
Replace LanguageToInformese;

!This routine must be before the Parser Include and strips out quotes so
!TYPE "133" becomes equivalent to TYPE 133
!
! Cette routine doit tre avant include Parser et les bandes de citations si
! TYPE "133" devient quivalent pour TAPER 133
[ LanguageToInformese i;
for (i = 2 : i < buffer->1 + 2 : i++)
{ if (buffer->i == '?' or '!') buffer->i = '.';
else if (buffer->i == '"') buffer->i = ' ';
}
];

Include "Parser";

Object LibraryMessages
with 
  before 
  [; Jump:    
       if ((Player in Couch) || (parent(Player) ofclass Class_Chair)) 
         "Vous devriez descendre de ", (the) parent(Player), " d'abord.";
       switch (random(3)) 
       {
         1: "Vous avez pass trop de temps parmi les Crapauds imbcile Sautants de Leonia.";
         2: "Wheeeeeee!!!";
         3: "Es-ce un amusement?";
       }

     Taste:
       if (lm_o has edible) "Cela  un got comestible."; 
       "Il a un got ", (a) lm_o, ".";

     Disrobe: 
       if (lm_n==2) "Ok, Vous ne faites plus usage ", (the) lm_o, ".";

     Wear: 
       if (lm_n==4) "Vous utilisez maintenant ", (the) lm_o, ".";
 
     Take:
       if (lm_n==10)
       {
         switch (random(6)) 
         {
           1: "Pas la moindre chance.";
           2: "Vous ne pouvez pas tre srieux.";
           3: "Essai agrable.";
           4: "Une vaillante tentative.";
           5: "Quel concept.";
           6: "Pas maudit probablement.";
         }
       }

     Examine: 
       if (lm_n==2)
       {
         switch (random(5)) 
         {
           1: "Regard totalement ordinaire ", (name) lm_o, ".";
           2: "Il n'y a rien de remarquable ", (the) lm_o, ".";
           3: "Il n'y a rien de peu commun ", (the) lm_o, ".";
           4: "Il n'y a rien d'attirant ", (the) lm_o, ".";
           5: "Il n'y a rien de spcial ", (the) lm_o, ".";
         }
       }

     Miscellany:
       switch (lm_n)
       {
         5:
         print "^Voulez-vous reprendre le jeu du dbut, Charger une position du jeu sauvegarde, Annuler votre mouvement prcdent";
         if (TASKS_PROVIDED==0)
             print ", Donner le score total pour ce jeu";
         print ", Ou finir cette partie du jeu? (Tapez RECOMMENCER, CHARGER";
         !#IFDEF DEATH_MENTION_UNDO;
         print ", ANNULER";
         !#ENDIF;
         if (TASKS_PROVIDED==0)
             print ", TOTAL";
         if (deadflag==2 && AMUSING_PROVIDED==0)
             print ", voir quelques suggestions pour des choses AMUSANTES  faire";
         ", ou QUITTER.)^";

         10: "[Pardon?]";
         30: "Vous ne pouvez pas voir une telle chose!";

         38: #ifdef DIALECT_US;
             "[Je ne comprend pas ce mot.]";
             #ifnot;
             "[Je ne comprend pas ce mot.]";
             #endif;
       }
  ];

Include "VerbLib";
Include "AskTellOrder";
Include "Replacement_Procs";
Include "Procs.h";
Include "Classes.h";
Include "Player.h";

Object tw_waiting "tw";
